Package Details: mpd-git 0.22.6.r447.ga7ba10423-2

Git Clone URL: https://aur.archlinux.org/mpd-git.git (read-only, click to copy)
Package Base: mpd-git
Description: Flexible, powerful, server-side application for playing music (from git)
Upstream URL: https://www.musicpd.org/
Licenses: GPL2
Conflicts: mpd
Provides: mpd
Submitter: Slash
Maintainer: KokaKiwi
Last Packager: KokaKiwi
Votes: 102
Popularity: 0.51
First Submitted: 2008-09-07 18:21
Last Updated: 2021-03-21 00:18

Dependencies (85)

Required by (46)

Sources (4)

Latest Comments

1 2 3 4 5 6 ... Next › Last »

AkechiShiro commented on 2020-12-24 02:21

I've just had an error trying to do an update sudo pacman -Syu, some dependencies will be broken if icu is updated it seems :

error: failed to prepare transaction (could not satisfy dependencies)
:: installing icu (68.2-1) breaks dependency 'libicui18n.so=67-64' required by mpd-git
:: installing icu (68.2-1) breaks dependency 'libicuuc.so=67-64' required by mpd-git

Could this be fixed or is it absolutely necessary for mpd-git to work and built successfully that the version of icu is not changed ?

hk3wx commented on 2020-09-14 22:43

../meson.build:1:0: ERROR: Value "true" for combo option "Build documentation" is not one of the choices. Possible choices are: "enabled", "disabled", "auto".

A full log can be found at /home/hk3wx/.cache/yay/mpd-git/src/mpd/build/meson-logs/meson-log.txt ==> ERROR: A failure occurred in build(). Aborting...

ilyxa commented on 2019-07-06 13:05

Can you please add option -Dtremor=disabled and new arch (aarch64) to PKGBUILD?

Morganamilo commented on 2018-10-29 23:21

meson configure build prints the current configuration. No need for it in build().

Just realised I have rights to actually make the change myself. Eh I'll let you do it anyway ;)

Calimero commented on 2018-02-22 15:17

It seems they have put their git server down and moved to github.

The official website https://www.musicpd.org/ now has a link that makes the upstream repo git+https://github.com/MusicPlayerDaemon/MPD

sudokode commented on 2015-11-14 06:01

1. The base-devel group is prerequisite for using the AUR.
2. No.

ggVGd commented on 2015-10-21 10:53

This package needs to depend on automake, autoconf and pkg-config.
Also, it builds fine for ARM, so 'armv7h' could be added to archs.

MoSal commented on 2015-09-19 17:28

I just realized this file is provided by upstream.

Apologies.

MoSal commented on 2015-09-19 17:25

Please Add User=mpd to the system service file, just like the stable version. Without it, finding ALSA devices fails in my system.

I still use an 'audio' group for permission handling instead of udev/systemd. Maybe that's why not everyone is seeing this.

sudokode commented on 2014-12-20 10:27

Added libupnp. Add provides for mpd.